<!-- 
  Copyright (c) 2023 Eclipse Foundation, Inc.

  This program and the accompanying materials are made available under the
  terms of the Eclipse Public License v. 2.0 which is available at
  http://www.eclipse.org/legal/epl-2.0.

  Contributors:
    Olivier Goulet <olivier.goulet@eclipse-foundation.org>

  SPDX-License-Identifier: EPL-2.0
-->

<section class="events-section row padding-top-60">
  <div class="container">
    <div class="featured-events upcoming-events bg-secondary-dark dark">
      <div class="row">
        <div class="events-section-col col-md-12">
          <h2 class="events-section-heading">Upcoming Events</h2>
        </div>
        <div class="events-section-col col-md-12">

          <div class="events-list-custom">
            <div 
              id="event-list-container" 
              class="event-timeline event-timeline-right"
              data-count="4" 
              data-template-id="tpl-event-timeline" 
              data-publish-target="sdv" 
              data-upcoming="1"
            >
            </div>
          </div>
          
          <div class="upcoming-events-buttons text-center">
            <a class="btn btn-primary" href="/news/events/">View Events</a>
          </div>
        </div>
      </div>
    </div>
  </div>
</section>

<script>
  document.addEventListener('DOMContentLoaded', () => 
    (function(e){
      e("#event-list-container").eclipseFdnApi({type:"filteredEvents"})
    })(jQuery, document)
  );
</script>
